<form class="example-container" [formGroup]="form" (ngSubmit)="operar()"  #espForm="ngForm">
  <div class="example-container">
    <div [hidden]="true">
      <mat-form-field class="example-full-width">
        <input matInput placeholder="ID" required formControlName="id">
      </mat-form-field>
    </div>
    <mat-form-field>
      <input type="text" placeholder="Paciente" matInput [matAutocomplete]="autoPaciente" [formControl]="myControlPaciente" formControlName="paciente">
      <mat-autocomplete #autoPaciente="matAutocomplete" [displayWith]="displayFn" (optionSelected)="seleccionarPaciente($event)">
        <mat-option *ngFor="let p of filteredOptions | async" [value]="p">
          {{ p.nombres }} {{p.apellidos}}
        </mat-option>
      </mat-autocomplete> 
      <!--<button mat-button color="primary" type="button" (click)="openDialog()" >Nuevo Paciente</button>-->
    </mat-form-field> 
    <mat-form-field>
      <input matInput [matDatepicker]="picker" placeholder="Fecha" [max]="maxFecha" 
      formControlName="fecha">
      <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
      <mat-datepicker #picker></mat-datepicker>
    </mat-form-field>

    <mat-form-field class="example-full-width">
      <input matInput placeholder="Temperatura" required formControlName="temperatura">
    </mat-form-field>

    <mat-form-field class="example-full-width">
      <input matInput placeholder="Pulso" required formControlName="pulso">
    </mat-form-field>

    <mat-form-field class="example-full-width">
      <input matInput placeholder="Ritmo Respiratorio" required formControlName="ritmo">
    </mat-form-field> 
    <button mat-raised-button color="primary" type="submit" [disabled]="espForm.invalid">
      <mat-icon>done</mat-icon>
      <span>Aceptar</span>
    </button>
    <button mat-raised-button color="accent" routerLink='/signos' type="button">
      <mat-icon>close</mat-icon>
      <span>Cancelar</span>
    </button>

  </div>
</form>

<br/>